#ifndef HYPERBOLE_H
#define HYPERBOLE_H

#include <wx/wx.h>
#include "GeomObj.h"
#include "EditPanel.h"

class  Hyperbole : public GeomObj
{
    private:
        double a;
        double b;
        double alfa;
        Coord trans;

    public:
        Hyperbole(EditPanel *editPanel,
                  Coord fokus1,
                  Coord fokus2 ,
                  Coord point,
                  wxString name,
                  wxColor color = wxColor(0,0,0));

        Hyperbole(EditPanel *editPanel,
                  Coord trans,
                  double a,
                  double b,
                  double alfa,
                  wxString name,
                  wxColor color = wxColor(0,0,0));
        void Paint(wxDC& dc);
        void Paint(wxDC& dc, wxColor newColor);
        objectType GetType();
        wxString GetName();
        wxString GetText();
        Coord GetPos();
        double GetA();
        double GetB();
        double GetAlfa();
};

#endif


