#ifndef tLINE_H
#define tLINE_H

#include <wx/wx.h>
#include "GeomObj.h"
#include "EditPanel.h"

class Line : public GeomObj
{
  private:
    Coord pos2;
    Line(EditPanel *editPanel, Coord pos,GeomObj *line, wxString relation, wxString name, wxColor color = wxColor(0,0,0));

  public:
    Line(EditPanel *editPanel, Coord pos, Coord pos2, wxString name, wxColor color = wxColor(0,0,0));

    static Line* Parallel(EditPanel *editPanel, Coord pos,GeomObj *line, wxString name, wxColor color = wxColor(0,0,0))
        { return new Line(editPanel, pos, line, wxS("Par"), name, color); }

    static Line* Perpendicular(EditPanel *editPanel, Coord pos,GeomObj *line, wxString name, wxColor color = wxColor(0,0,0))
        { return new Line(editPanel, pos, line, wxS("Per"), name, color); }

    void Paint(wxDC& dc);
    void Paint(wxDC& dc, wxColor newColor);
    objectType GetType();
    Coord GetPos2();
    void ChangePos2(Coord coord);
    wxString GetName();
    wxString GetText();
    wxString kolmice, rovnobezka;
    int typLine;
};

#endif
