#ifndef PARABOLA_H
#define PARABOLA_H

#include <wx/wx.h>
#include "GeomObj.h"
#include "EditPanel.h"

class  Parabola : public GeomObj
{
    private:
        double p;
        double alfa;
        Coord trans;

    public:
        Parabola(EditPanel *editPanel,
                 Coord trans,
                 double p,
                 double alfa,
                 wxString name,
                 wxColor color= wxColor(0,0,0));
        Parabola(EditPanel *editPanel,
                 Coord fokus,
                 Coord point,
                 wxString name,
                 wxColor color = wxColor(0,0,0));
        void Paint(wxDC& dc);
        void Paint(wxDC& dc, wxColor newColor);
        objectType GetType();
        wxString GetName();
        wxString GetText();
        double GetP();
        double GetAlfa();
        Coord GetPos();
};

#endif


