#ifndef RIGHTPANEL_H
#define RIGHTPANEL_H

#include <wx/wx.h>
#include <list>

class RightPanel : public wxPanel
{
public:
    RightPanel(wxWindow *parent,
               wxWindowID winid = wxID_ANY,
               const wxPoint& pos = wxDefaultPosition,
               const wxSize& size = wxDefaultSize,
               long style = wxTAB_TRAVERSAL | wxNO_BORDER,
               const wxString& name = wxPanelNameStr);

    wxListBox *list;
    wxArrayString items;
    wxWindow* parent;
    wxButton* selectAll;
    wxBoxSizer* sizer;
    bool allSelect;

    void AddLine(wxString text);
    void OnClick(wxCommandEvent &evt);
    void OnSelectAll(wxCommandEvent& evt);

    DECLARE_EVENT_TABLE()
};

#endif

