#ifndef SMALLCLASSES_H
#define SMALLCLASSES_H


#include <wx/string.h>
#include <wx/stattext.h>
#include <wx/gdicmn.h>
#include <wx/font.h>
#include <wx/colour.h>
#include <wx/settings.h>
#include <wx/spinctrl.h>
#include <wx/sizer.h>
#include <wx/radiobox.h>
#include <wx/button.h>
#include <wx/dialog.h>

#include <wx/wx.h>

using namespace std;

class EditPanel;
class GeomObj;

class Coord
{
  public:
    double x;
    double y;

    Coord();
    Coord(double x, double y);
    Coord(EditPanel *panel, int x, int y);
    int ToScreenX(EditPanel *panel);
    int ToScreenY(EditPanel *panel);
    double DistTo(Coord c);
    bool operator==(Coord pos);
    bool operator!=(Coord pos);
    Coord operator+(Coord pos);
    Coord operator-(Coord pos);
};

class Name
{
public:
//    wxString lastPoint;
//    wxString lastLine;
//    wxString lastCircle; //jak vymyslet nejjednodussi ukladani jmena
                         //   - asi assci kod + int konstatna za pismenkem
    int point;
    int constPoint;
    int other;
    int constOther;
    EditPanel *edit;

    Name(EditPanel *editPanel);
    wxString GetNamePoint();
    wxString GetNameOther();
};


class Dialog2 : public wxDialog
{
	private:

	public:
		wxStaticText* m_staticText34;
		wxSpinCtrl* m_spinCtrl4;
		wxRadioBox* m_radioBox1;
		wxStdDialogButtonSizer* m_sdbSizer2;
		wxButton* m_sdbSizer2OK;
		wxButton* m_sdbSizer2Cancel;

		Dialog2( wxWindow* parent,
                wxWindowID id = wxID_ANY,
                const wxString& title = wxT("Natavení mřížky"),
                const wxPoint& pos = wxDefaultPosition,
                const wxSize& size = wxDefaultSize,
                long style = wxDEFAULT_DIALOG_STYLE );
		~Dialog2();

};



#endif
